=== debian/changelog ===
prometheus-hacluster-exporter (0.4.0-2ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 20 Jan 2023 16:57:11 +0100

prometheus-hacluster-exporter (0.4.0-2ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 02:12:13 +0200

prometheus-hacluster-exporter (0.4.0-2) unstable; urgency=medium

  * Update Standards-Version to 4.5.0
  * Remove debian/files from git

 -- Valentin Vidic <vvidic@debian.org>  Tue, 21 Jan 2020 21:20:41 +0100

prometheus-hacluster-exporter (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #947674)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 28 Dec 2019 16:39:39 +0100
