=== debian/control ===
Source: prometheus-hacluster-exporter
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Valentin Vidic <vvidic@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
 golang-any,
 golang-github-pkg-errors-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter
Vcs-Git: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter.git
XS-Go-Import-Path: github.com/ClusterLabs/ha_cluster_exporter

Package: prometheus-hacluster-exporter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for HA cluster services
 Prometheus exporter for Pacemaker cluster services, written in Go.
 .
 This service scrapes status of Corosync, Pacemaker, SBD and DRBD
 services and exports them via HTTP for Prometheus consumption.
