=== debian/changelog ===
prometheus-hacluster-exporter (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Add build depends on golang-github-golang-mock-dev
  * Refresh patches for new version.
  * Refresh lintian-overrides

 -- Valentin Vidic <vvidic@debian.org>  Sat, 18 Jul 2020 17:10:01 +0200

prometheus-hacluster-exporter (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Refresh patches
  * Copy test directory for dh_auto_test
  * Use debhelper version 13
  * Update mailing list address
  * Fix debian/tests
  * Fix RingId parsing for Corosync 3.0.3

 -- Valentin Vidic <vvidic@debian.org>  Sat, 09 May 2020 13:42:55 +0200
