=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-golang,
  golang-any,
+ golang-github-golang-mock-dev,
  golang-github-pkg-errors-dev,
  golang-github-prometheus-client-golang-dev,
  golang-github-sirupsen-logrus-dev,
