## prometheus-hacluster-exporter 1.2.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 AUTHOR ?= shap-staff@suse.de
 
 # you can customize any of the following to build forks
-OBS_PROJECT ?= server:monitoring
+OBS_PROJECT ?= network:ha-clustering:sap-deployments:devel
 REPOSITORY ?= clusterlabs/ha_cluster_exporter
 
 # the Go archs we crosscompile to
