=== debian/changelog ===
prometheus-hacluster-exporter (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Update Standards-Version to 4.5.1

 -- Valentin Vidic <vvidic@debian.org>  Sat, 05 Dec 2020 13:51:40 +0100

prometheus-hacluster-exporter (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Wait for listening socket in tests

 -- Valentin Vidic <vvidic@debian.org>  Tue, 15 Sep 2020 21:48:26 +0200
