=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  golang-github-sirupsen-logrus-dev,
  golang-github-spf13-pflag-dev,
  golang-github-spf13-viper-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
 Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter
