=== debian/watch ===
version=3
https://github.com/ClusterLabs/ha_cluster_exporter/releases .*/v?(\d\S*)\.tar\.gz
