## prometheus-hacluster-exporter 1.2.3

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,7 @@
 # the Go archs we crosscompile to
 ARCHS ?= amd64 arm64 ppc64le s390x
 
-default: clean download mod-tidy generate fmt vet-check test build
-
-download:
-	go mod download
-	go mod verify
+default: clean mod-tidy generate fmt vet-check test build
 
 build: amd64
 
@@ -36,7 +32,7 @@
 
 static-checks: vet-check fmt-check
 
-vet-check: download
+vet-check:
 	go vet ./...
 
 fmt:
@@ -51,7 +47,7 @@
 generate:
 	go generate ./...
 
-test: download
+test:
 	go test -v ./...
 
 checks: static-checks test
