=== debian/changelog ===
prometheus-hacluster-exporter (1.2.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Valentin Vidic ]
  * Revert "Install systemd service file in /usr/lib/systemd/system"
  * Update copyright for debian files
  * Update overrides for new lintian version
  * Update test to be more reliable

 -- Valentin Vidic <vvidic@debian.org>  Sun, 19 Dec 2021 21:47:07 +0100

prometheus-hacluster-exporter (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * Update Standards-Version to 4.6.0
  * Update watch file version to 4
  * Install systemd service file in /usr/lib/systemd/system

 -- Valentin Vidic <vvidic@debian.org>  Tue, 24 Aug 2021 22:37:50 +0200
