=== debian/changelog ===
prometheus-hacluster-exporter (1.3.0-1ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 14 Feb 2023 10:58:11 +0100

prometheus-hacluster-exporter (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Update patches for new version
  * Update Standards-Version to 4.6.1
  * Disable Salsa CI reprotest
  * Update Build-Depends for new version
  * Update copyright year for debian directory

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 May 2022 10:12:19 +0200
