=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
+ golang-github-go-kit-kit-dev,
  golang-github-golang-mock-dev,
  golang-github-pkg-errors-dev,
  golang-github-prometheus-client-golang-dev,
- golang-github-sirupsen-logrus-dev,
- golang-github-spf13-pflag-dev,
+ golang-github-prometheus-common-dev,
+ golang-github-prometheus-exporter-toolkit-dev,
  golang-github-spf13-viper-dev,
-Standards-Version: 4.6.0
+ golang-gopkg-alecthomas-kingpin.v2-dev,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
 Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter
