=== debian/changelog ===
prometheus-hacluster-exporter (1.3.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:35 +1200

prometheus-hacluster-exporter (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Update Standards-Version to 4.6.2

 -- Valentin Vidic <vvidic@debian.org>  Thu, 16 Feb 2023 22:39:14 +0100

prometheus-hacluster-exporter (1.3.0-3) unstable; urgency=medium

  * Fix build failure with new version of
    golang-github-prometheus-exporter-toolkit-dev

 -- Valentin Vidic <vvidic@debian.org>  Thu, 17 Nov 2022 23:10:02 +0100

prometheus-hacluster-exporter (1.3.0-2) unstable; urgency=medium

  * Update github url in debian/watch file
  * Update lintian-overrides for new lintian version

 -- Valentin Vidic <vvidic@debian.org>  Wed, 19 Oct 2022 23:04:36 +0200
