=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
+
+override_dh_auto_test:
+	cp -a test $(BUILDDIR)/src/github.com/ClusterLabs/ha_cluster_exporter/
+	dh_auto_test
