=== debian/watch ===
version=4
https://github.com/ClusterLabs/ha_cluster_exporter/tags .*/(\d\S*)\.tar\.gz
