## prometheus-hacluster-exporter 1.3.3

=== debian/changelog ===
prometheus-hacluster-exporter (1.3.3-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 10:59:47 +1000

prometheus-hacluster-exporter (1.3.3-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version 1.3.3
  * Refresh patches for new version
  * Fix build failure of kingpin package
  * Refresh lintian overrides
  * Update Standards-Version to 4.7.0

  [ Chris Hofstaedtler ]
  * Install systemd units into /usr. (Closes: #1073668)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 03 Aug 2024 09:58:14 +0200
