=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,7 +16,7 @@
  golang-github-prometheus-exporter-toolkit-dev,
  golang-github-spf13-viper-dev,
  golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ClusterLabs/ha_cluster_exporter
 Vcs-Browser: https://salsa.debian.org/ha-team/prometheus-hacluster-exporter
