=== debian/changelog ===
prometheus-hacluster-exporter (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Refresh patches for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 12 Jan 2025 10:55:55 +0100
