=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: prometheus-hacluster-exporter
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
